## ffmpeg 4.4

=== debian/changelog ===
ffmpeg (7:4.4-6ubuntu5) impish; urgency=medium

  * Add upstream-proposed patch to fix gcc-11 armhf failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Sep 2021 14:06:34 +0200

ffmpeg (7:4.4-6ubuntu4) impish; urgency=medium

  * Switch back on gcc-11 and fix properly armhf by passing right flags to the
    compiler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Sep 2021 09:29:26 +0200

ffmpeg (7:4.4-6ubuntu2) impish; urgency=medium

  * Keep gcc-10 on armhf for now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Sep 2021 09:40:04 +0200

ffmpeg (7:4.4-6ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Sep 2021 09:04:51 +0200

ffmpeg (7:4.4-6) unstable; urgency=medium

  * debian/*.symbols: Bump version of symbols to match upstream release
  * debian/ffmpeg.maintscript: Drop removal of old conffile

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 22:45:41 +0200

ffmpeg (7:4.4-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Aug 2021 16:26:52 +0200

ffmpeg (7:4.4-5) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Aug 2021 14:34:35 +0200

ffmpeg (7:4.4-4) experimental; urgency=medium

  * debian/rules:
    - Add -latomic via --extra-libs
    - Fix architecture check for libsmbclient

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Aug 2021 12:29:18 +0200

ffmpeg (7:4.4-3) experimental; urgency=medium

  * debian/rules: Fix architecture check for -latomic

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 23:11:58 +0200

ffmpeg (7:4.4-2) experimental; urgency=medium

  * debian/control: Fix Description of libswscale3 (Closes: #984795)
  * debian/rules: Link with -latomic on armel and mipsel
  * debian/:
    - Properly disable libsmbclient support only on hurd-i386 (Closes:
      #991558)
    - Disable librvsg2 on even more ports architectures (Closes: #991556)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 21:38:36 +0200

ffmpeg (7:4.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Remove obsolete alternative BDs
    - Bump libsmbclient-dev to 4.13 to avoid #984486
    - Add clang to BD to enable cuda_llvm
  * debian/:
    - Remove --enable-libwavpack
    - Remove --enable-liblensfun. liblensfun support is currently incompatible
      with any of the released liblensfun versions.
  * debian/patches: Drop patches from upstream
  * debian/copyright: Update copyright years
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Apr 2021 15:09:21 +0200

ffmpeg (7:4.3.2-2) experimental; urgency=medium

  * debian/:
    - Build with zimg (Closes: #966059)
    - Disable librsvg on hppa and sh4 (Closes: #983344)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Feb 2021 14:49:11 +0100

ffmpeg (7:4.3.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Add libgl-dev as alternative Build-Depends
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 22:15:58 +0100

ffmpeg (7:4.3.2-0+deb11u2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Jun 2021 22:32:52 +0200

ffmpeg (7:4.3.2-0+deb11u1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2021 08:37:49 +0100

ffmpeg (7:4.3.1-9) experimental; urgency=medium

  [ Fabian Greffrath ]
  * add a libavformat-extra package that contains additional (de)muxers
    (Closes: #972897)

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove empty Pre-Depends
    - Add myself to Uploaders
    - Remove Andreas Cadhalpun und Alexander Strasser from Uploaders. They are
      no longer active.
    - Remove obsolete Breaks+Replaces
  * debian/: Remove deprecated libavresample (Closes: #971318)
  * debian/copyright: Restore compatibility with Copyright-Format 1.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 16:33:16 +0100

ffmpeg (7:4.3.1-8ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2021 23:42:22 +0100

ffmpeg (7:4.3.1-7ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 11:41:49 +0100

ffmpeg (7:4.3.1-6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too



=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Balint Reczey <balint@balintreczey.hu>,
 James Cowgill <jcowgill@debian.org>,
 Sebastian Ramacher <sramacher@debian.org>,
Rules-Requires-Root: no
Homepage: https://ffmpeg.org/
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
Build-Depends-Indep:
# needed to minify the CSS files
 cleancss,
# Autogenerated documentation
 doxygen,
# needed to create the CSS files for the HTML manuals
 node-less,
# generates top level manual page listing
 tree,
Build-Depends:
# autodetected: hwaccels 'cuda_llvm'
 clang,
 debhelper-compat (= 13),
# --enable-libflite
 flite1-dev,
# --enable-frei0r
 frei0r-plugins-dev <!pkg.ffmpeg.stage1>,
# --enable-ladspa
 ladspa-sdk,
# --enable-libaom
 libaom-dev,
# --enable-libaribb24
 libaribb24-dev,
# --enable-libass
 libass-dev,
# --enable-libbluray
 libbluray-dev,
# --enable-libbs2b
 libbs2b-dev,
# autodetected: external library 'bzlib'
 libbz2-dev,
# --enable-libcaca
 libcaca-dev,
# --enable-libcdio
 libcdio-paranoia-dev,
# --enable-libchromaprint
 libchromaprint-dev <!pkg.ffmpeg.stage1>,
# --enable-libcodec2
 libcodec2-dev,
# --enable-libdav1d
 libdav1d-dev,
# --enable-libdc1394
 libdc1394-dev [linux-any],
# --enable-libdrm
 libdrm-dev [linux-any],
# --enable-nvenc
 libffmpeg-nvenc-dev,
# --enable-libfontconfig
 libfontconfig-dev,
# --enable-libfreetype
 libfreetype-dev,
# --enable-fribidi
 libfribidi-dev,
# --enable-opengl
 libgl1-mesa-dev | libgl-dev,
# --enable-libgme
 libgme-dev,
# --enable-gnutls
 libgnutls28-dev,
# --enable-libgsm
 libgsm1-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
 libiec61883-dev [linux-any],
 libavc1394-dev [linux-any],
# --enable-libjack
 libjack-jackd2-dev,
# --enable-lv2
 liblilv-dev,
# autodetected for the tiff decoder
 liblzma-dev,
# --enable-libmfx
 libmfx-dev [amd64],
# --enable-libmp3lame
 libmp3lame-dev,
# --enable-libmysofa
 libmysofa-dev,
# --enable-openal
 libopenal-dev,
# --enable-omx
 libomxil-bellagio-dev,
# --enable-libopencore_amrnb
 libopencore-amrnb-dev,
# --enable-libopencore_amrwb
 libopencore-amrwb-dev,
# --enable-libopenjpeg
 libopenjp2-7-dev (>= 2.1),
# --enable-libopenmpt
 libopenmpt-dev,
# --enable-libopus
 libopus-dev,
# --enable-pocketsphinx
 libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!i386 !alpha !hppa !ia64 !m68k !mipsel !mips64el !powerpc !ppc64 !s390x !sparc64],
# --enable-libpulse
 libpulse-dev,
# --enable-librabbitmq
 librabbitmq-dev,
# --enable-librubberband
 librubberband-dev,
# --enable-librsvg
 librsvg2-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m86k !sh4 !x32],
# autodetected: protocol 'sctp'
 libsctp-dev [linux-any],
# --enable-sdl2
 libsdl2-dev,
# --enable-libshine
 libshine-dev (>= 3.0.0),
# --enable-libsmbclient (used only in -extra flavor)
 libsmbclient-dev (>= 4.13) [!hurd-i386],
# --enable-libsnappy
 libsnappy-dev,
# --enable-libsoxr
 libsoxr-dev,
# --enable-libspeex
 libspeex-dev,
# --enable-libsrt
 libsrt-gnutls-dev,
# --enable-libssh
 libssh-gcrypt-dev,
# --enable-libtesseract (used only in -extra flavor)
 libtesseract-dev,
# --enable-libtheora
 libtheora-dev,
# --enable-libtwolame
 libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
 libva-dev (>= 1.3) [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
 libvdpau-dev,
# --enable-libvidstab
 libvidstab-dev,
# --enable-libvo_amrwbenc
 libvo-amrwbenc-dev,
# --enable-libvorbis
 libvorbis-dev,
# --enable-libvpx
 libvpx-dev,
# --enable-libwebp
 libwebp-dev,
# --enable-libx264
 libx264-dev <!pkg.ffmpeg.stage1>,
# --enable-libx265
 libx265-dev (>= 1.8),
# autodetected libxcb-shape
 libxcb-shape0-dev,
# autodetected libxcb-shm
 libxcb-shm0-dev,
# autodetected libxcb-xfixes
 libxcb-xfixes0-dev,
# --enable-libxml2
 libxml2-dev,
# autodetected xlib
 libxv-dev,
# --enable-libxvid
 libxvidcore-dev,
# autodetected: decoder 'mpeg_xvmc'; outdev 'xv'
 libxvmc-dev,
# --enable-libzimg
 libzimg-dev,
# --enable-libzmq
 libzmq3-dev,
# --enable-libzvbi
 libzvbi-dev,
# --enable-opencl
 ocl-icd-opencl-dev | opencl-dev,
# used to detect libraries
 pkg-config,
# HTML documentation
 texinfo,
# assembler optimizations
 nasm,
 pkg-kde-tools,
# autodetected zlib
 zlib1g-dev

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 ffmpeg-doc
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-bootstrap,
 ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec58
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-extra58
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libavcodec58
Provides: libavcodec58 (= ${binary:Version})
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec58 package and contains the
 following additional codecs:
 .
  * ARIB STD-B24 Captions (Subtitle Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Architecture: any
Section: metapackages
Multi-Arch: same
Depends:
 libavcodec-extra58 (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.

Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libavcodec58 (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libswresample-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the development files.

Package: libavdevice58
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the runtime files.

Package: libavdevice-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libavcodec-dev (= ${binary:Version}),
 libavdevice58 (= ${binary:Version}),
 libavfilter-dev (= ${binary:Version}),
 libavformat-dev (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libpostproc-dev (= ${binary:Version}),
 libswscale-dev (= ${binary:Version}),
 libswresample-dev (= ${binary:Version}),
 ${misc:Depends}
Description: FFmpeg library for handling input and output devices - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic framework for grabbing from and rendering to
 many common multimedia input/output devices, and supports several input and
 output devices, including Video4Linux2, VfW, DShow, and ALSA.
 .
 This package contains the development files.

Package: libavfilter7
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: FFmpeg library containing media filters - runtime files

=== debian/rules ===
#!/usr/bin/make -f

export V=1

# sets DEBIAN_VERSION variable
include /usr/share/dpkg/pkg-info.mk

# Get the Debian version revision:
DEB_REVISION := $(word 2, $(subst -, ,$(DEB_VERSION)))

# sets DEB_HOST_* variables
include /usr/share/dpkg/architecture.mk

# Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

# Package name for the extra flavor.
SHLIB_PKGS := $(shell sed -nr '/extra/! s/^Package:[[:space:]]*(lib.*[0-9]+)[[:space:]]*$$/\1/p' debian/control)
EXTRA_PKGS := $(shell sed -nr 's/^Package:[[:space:]]*(.*extra[0-9]+)[[:space:]]*$$/\1/p' debian/control)
FLAVORS = standard extra static

# Most possible features, compatible with effective licensing of GPLv2+
CONFIG := --prefix=/usr \
	--extra-version="$(DEB_REVISION)" \
	--toolchain=hardened \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
	--arch=$(DEB_HOST_ARCH_CPU) \
	--enable-gpl \
	--disable-stripping \
	--enable-gnutls \
	--enable-ladspa \
	--enable-libaom \
	--enable-libass \
	--enable-libbluray \
	--enable-libbs2b \
	--enable-libcaca \
	--enable-libcdio \
	--enable-libcodec2 \
	--enable-libdav1d \
	--enable-libflite \
	--enable-libfontconfig \
	--enable-libfreetype \
	--enable-libfribidi \
	--enable-libgme \
	--enable-libgsm \
	--enable-libjack \
	--enable-libmp3lame \
	--enable-libmysofa \
	--enable-libopenjpeg \
	--enable-libopenmpt \
	--enable-libopus \
	--enable-libpulse \
	--enable-librabbitmq \
	--enable-librubberband \
	--enable-libshine \
	--enable-libsnappy \
	--enable-libsoxr \
	--enable-libspeex \
	--enable-libsrt \
	--enable-libssh \
	--enable-libtheora \
	--enable-libtwolame \
	--enable-libvidstab \
	--enable-libvorbis \
	--enable-libvpx \
	--enable-libwebp \
	--enable-libx265 \
	--enable-libxml2 \
	--enable-libxvid \
	--enable-libzimg \
	--enable-libzmq \
	--enable-libzvbi \
	--enable-lv2 \
	--enable-omx \
	--enable-openal \
	--enable-opencl \
	--enable-opengl \
	--enable-sdl2

# link with -latomic on armel and mipsel (https://trac.ffmpeg.org/ticket/9275)
ifneq (,$(filter armel mipsel,$(DEB_HOST_ARCH)))
CONFIG += --extra-libs=-latomic
endif

# avoid pocketsphinx on mips (bug#812335), alpha, ia64 and big-endian (bug#968456)
ifeq (,$(filter i386 mips% alpha ia64,$(DEB_HOST_ARCH))$(filter big,$(DEB_HOST_ARCH_ENDIAN)))
CONFIG += --enable-pocketsphinx
endif

# avoid librsvg on almost all ports (bug#983344, bug#991556)
ifeq (,$(filter alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m86k sh4 x32,$(DEB_HOST_ARCH)))
CONFIG += --enable-librsvg
endif

ifeq (amd64,$(DEB_HOST_ARCH))
CONFIG += --enable-libmfx
endif

# The standard configuration only uses the shared CONFIG.
CONFIG_standard = --enable-shared

# Additional features, compatible with effective licensing of GPLv3+
CONFIG_extra = --enable-shared \
	--enable-version3 \
	--disable-doc \
	--disable-programs \
	--enable-libaribb24 \
	--enable-libopencore_amrnb \
	--enable-libopencore_amrwb \
	--enable-libtesseract \
	--enable-libvo_amrwbenc

# Do not enable libsmbclient support on hurd-i386
ifeq (,$(filter hurd-i386,$(DEB_HOST_ARCH)))
	CONFIG_extra += --enable-libsmbclient
endif

# The static libraries should not be built with PIC.
CONFIG_static = --disable-pic \
	--disable-doc \
	--disable-programs

# Disable optimizations if requested.
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIG += --disable-optimizations
endif

# Respect CC/CXX from the environment, if they differ from the default.
# Don't set them if they equal the default, because that disables autodetection needed for cross-building.
ifneq (cc,$(CC))
	CONFIG += --cc=$(CC)
endif
ifneq (g++,$(CXX))
	CONFIG += --cxx=$(CXX)
endif

# Some libraries are built only on linux.
ifeq (linux,$(DEB_HOST_ARCH_OS))
	CONFIG += --enable-libdc1394 \
		--enable-libdrm \
		--enable-libiec61883
endif

# Enable nvenc on amd64 only; not supported on other architectures.
ifeq ($(DEB_HOST_ARCH),amd64)
	CONFIG += --enable-nvenc
endif

# ffmpeg is involved in build-dependency cycles with x264 and chromaprint, so disable them in stage one.
# Also disable frei0r, which build-depends on opencv.
ifneq (,$(filter pkg.ffmpeg.stage1,$(DEB_BUILD_PROFILES)))
	CONFIG += --disable-frei0r \
		--disable-chromaprint \
		--disable-libx264
else
	CONFIG += --enable-chromaprint \
		--enable-frei0r \
		--enable-libx264
endif

# Disable altivec optimizations on powerpc, because they are not always available on this architecture.
ifeq (powerpc,$(DEB_HOST_ARCH))
	CONFIG += --disable-altivec
	# Build an altivec flavor of the libraries on powerpc.
	# This works around the problem that runtime cpu detection on powerpc currently does not work,
	# because, if altivec is enabled, all files are build with '-maltivec' so that the compiler inserts altivec instructions, wherever it likes.
	CONFIG_altivec = --enable-shared \
		--enable-altivec \
		--disable-doc \
		--disable-programs
	CONFIG_altivec-extra = $(CONFIG_altivec) $(CONFIG_extra)
	FLAVORS += altivec altivec-extra
endif

# Disable assembly optimizations on x32, because they don't work (yet).
ifneq (,$(filter x32,$(DEB_HOST_ARCH)))
	CONFIG += --disable-asm
endif

# Disable some optimizations on mips*, because they are not always available on these architectures
ifneq (,$(filter mips%r6 mips%r6el, $(DEB_HOST_ARCH)))
	MIPS_R2_R6_CONFIG = --disable-mips32r2 \
		--disable-mips64r2
else
	MIPS_R2_R6_CONFIG = --disable-mips32r6 \
		--disable-mips64r6
endif

ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
	CONFIG += --disable-mipsdsp \
		--disable-mipsdspr2 \
		--disable-loongson2 \
		--disable-loongson3 \
		--disable-mmi \
		--disable-mips32r5 \
		$(MIPS_R2_R6_CONFIG) \
		--disable-msa \
		--disable-msa2
endif

# Disable mipsfpu on mips and mipsel, because it is not compatible with the FPXX ABI
ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
	CONFIG += --disable-mipsfpu
endif

# Disable some tests which fail when FLT_EVAL_METHOD != 0 (found on i386, m68k and s390x)
ifneq (,$(filter i386 m68k s390x,$(DEB_HOST_ARCH_CPU)))
	CONFIG += --ignore-tests=hapenc-hap-none,hapenc-hapa-none,hapenc-hapq-none
endif

# Set cross-build prefix for compiler, pkg-config...
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CONFIG += --cross-prefix=$(DEB_HOST_GNU_TYPE)- \
		--target-os=$(DEB_HOST_ARCH_OS)
endif

# Use the default debhelper scripts, where possible.
%:
	dh $@ --with pkgkde_symbolshelper

# Add configuration options:
override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
configure_%:
	$(info $()   debian/rules $@)
	mkdir -p debian/$*
	cd debian/$* && ../../configure $(strip $(CONFIG) $(CONFIG_$*)) || (cat ffbuild/config.log && exit 1)

# Remove the subdirectories generated for the flavors.
override_dh_auto_clean:
	rm -rf $(patsubst %,debian/%,$(FLAVORS))

# Create doxygen documentation:
override_dh_auto_build-indep:
	dh_auto_build -i --sourcedirectory=debian/standard -- apidoc documentation
	# Create the minified CSS files.
	#  Due to https://github.com/nodejs/node/issues/14752 where nodejs will
	#  leave set O_NONBLOCK on stderr, we pipe stderr through cat which will
	#  create a temporary pipe so this doesn't break the rest of the build.
	#  See: #895154
	(lessc debian/missing-sources/ffmpeg-web/src/less/style.less | cleancss > debian/standard/doc/style.min.css) 2>&1 | cat >&2

override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS))

# noop fallback for below more specific targets
prebuild_%:
	:

# Copy built object files to avoid building them again for the extra flavor.
$(patsubst %,prebuild_%,$(filter %extra,$(FLAVORS))): prebuild_%: build_standard
	$(info $()   debian/rules $@)
	$(eval subdir = debian/$(subst extra,standard,$(subst -extra,,$*)))
	cd $(subdir) && find libavcodec libavdevice libavfilter libavformat libavutil libpostproc libswscale libswresample \
		-type f -name '*.o' \
		-exec install -m 644 -D -T '{}' '../$*/{}' ';'
	rm debian/$*/libavcodec/allcodecs.o
	rm debian/$*/libavfilter/allfilters.o

## ffmpeg 4.4.1

=== Makefile ===
MAIN_MAKEFILE=1
include ffbuild/config.mak

vpath %.c    $(SRC_PATH)
vpath %.cpp  $(SRC_PATH)
vpath %.h    $(SRC_PATH)
vpath %.inc  $(SRC_PATH)
vpath %.m    $(SRC_PATH)
vpath %.S    $(SRC_PATH)
vpath %.asm  $(SRC_PATH)
vpath %.rc   $(SRC_PATH)
vpath %.v    $(SRC_PATH)
vpath %.texi $(SRC_PATH)
vpath %.cu   $(SRC_PATH)
vpath %.ptx  $(SRC_PATH)
vpath %/fate_config.sh.template $(SRC_PATH)

TESTTOOLS   = audiogen videogen rotozoom tiny_psnr tiny_ssim base64 audiomatch
HOSTPROGS  := $(TESTTOOLS:%=tests/%) doc/print_options

# $(FFLIBS-yes) needs to be in linking order
FFLIBS-$(CONFIG_AVDEVICE)   += avdevice
FFLIBS-$(CONFIG_AVFILTER)   += avfilter
FFLIBS-$(CONFIG_AVFORMAT)   += avformat
FFLIBS-$(CONFIG_AVCODEC)    += avcodec
FFLIBS-$(CONFIG_AVRESAMPLE) += avresample
FFLIBS-$(CONFIG_POSTPROC)   += postproc
FFLIBS-$(CONFIG_SWRESAMPLE) += swresample
FFLIBS-$(CONFIG_SWSCALE)    += swscale

FFLIBS := avutil

DATA_FILES := $(wildcard $(SRC_PATH)/presets/*.ffpreset) $(SRC_PATH)/doc/ffprobe.xsd

SKIPHEADERS = compat/w32pthreads.h

# first so "all" becomes default target
all: all-yes

include $(SRC_PATH)/tools/Makefile
include $(SRC_PATH)/ffbuild/common.mak

FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)
FF_STATIC_DEP_LIBS := $(STATIC_DEP_LIBS)

$(TOOLS): %$(EXESUF): %.o
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(EXTRALIBS-$(*F)) $(EXTRALIBS) $(ELIBS)

target_dec_%_fuzzer$(EXESUF): target_dec_%_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/target_bsf_%_fuzzer$(EXESUF): tools/target_bsf_%_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

target_dem_%_fuzzer$(EXESUF): target_dem_%_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/target_dem_fuzzer$(EXESUF): tools/target_dem_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)

tools/target_io_dem_fuzzer$(EXESUF): tools/target_io_dem_fuzzer.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $^ $(ELIBS) $(FF_EXTRALIBS) $(LIBFUZZER_PATH)


tools/enum_options$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/enum_options$(EXESUF): $(FF_DEP_LIBS)
tools/sofa2wavs$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/uncoded_frame$(EXESUF): $(FF_DEP_LIBS)
tools/uncoded_frame$(EXESUF): ELIBS = $(FF_EXTRALIBS)
tools/target_dec_%_fuzzer$(EXESUF): $(FF_DEP_LIBS)
tools/target_dem_%_fuzzer$(EXESUF): $(FF_DEP_LIBS)

CONFIGURABLE_COMPONENTS =                                           \
    $(wildcard $(FFLIBS:%=$(SRC_PATH)/lib%/all*.c))                 \
    $(SRC_PATH)/libavcodec/bitstream_filters.c                      \
    $(SRC_PATH)/libavcodec/parsers.c                                \
    $(SRC_PATH)/libavformat/protocols.c                             \

config.h: ffbuild/.config
ffbuild/.config: $(CONFIGURABLE_COMPONENTS)
	@-tput bold 2>/dev/null
	@-printf '\nWARNING: $(?) newer than config.h, rerun configure\n\n'
	@-tput sgr0 2>/dev/null

SUBDIR_VARS := CLEANFILES FFLIBS HOSTPROGS TESTPROGS TOOLS               \
               HEADERS ARCH_HEADERS BUILT_HEADERS SKIPHEADERS            \
               ARMV5TE-OBJS ARMV6-OBJS ARMV8-OBJS VFP-OBJS NEON-OBJS     \
               ALTIVEC-OBJS VSX-OBJS MMX-OBJS X86ASM-OBJS                \
               MIPSFPU-OBJS MIPSDSPR2-OBJS MIPSDSP-OBJS MSA-OBJS         \
               MMI-OBJS OBJS SLIBOBJS HOSTOBJS TESTOBJS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(SRC_PATH)/$(1)/Makefile
-include $(SRC_PATH)/$(1)/$(ARCH)/Makefile
-include $(SRC_PATH)/$(1)/$(INTRINSICS)/Makefile
include $(SRC_PATH)/ffbuild/library.mak
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

include $(SRC_PATH)/fftools/Makefile
include $(SRC_PATH)/doc/Makefile
include $(SRC_PATH)/doc/examples/Makefile

libavcodec/avcodec.o libavformat/utils.o libavdevice/avdevice.o libavfilter/avfilter.o libavutil/utils.o libpostproc/postprocess.o libswresample/swresample.o libswscale/utils.o : libavutil/ffversion.h

$(PROGS): %$(PROGSSUF)$(EXESUF): %$(PROGSSUF)_g$(EXESUF)
ifeq ($(STRIPTYPE),direct)
	$(STRIP) -o $@ $<
else
	$(CP) $< $@
	$(STRIP) $@
endif

%$(PROGSSUF)_g$(EXESUF): $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(OBJS-$*) $(FF_EXTRALIBS)

VERSION_SH  = $(SRC_PATH)/ffbuild/version.sh
GIT_LOG     = $(SRC_PATH)/.git/logs/HEAD

.version: $(wildcard $(GIT_LOG)) $(VERSION_SH) ffbuild/config.mak
.version: M=@

libavutil/ffversion.h .version:
	$(M)$(VERSION_SH) $(SRC_PATH) libavutil/ffversion.h $(EXTRA_VERSION)
	$(Q)touch .version

# force version.sh to run whenever version might have changed
-include .version

install: install-libs install-headers

install-libs: install-libs-yes

install-data: $(DATA_FILES)
	$(Q)mkdir -p "$(DATADIR)"
	$(INSTALL) -m 644 $(DATA_FILES) "$(DATADIR)"

uninstall: uninstall-data uninstall-headers uninstall-libs uninstall-pkgconfig

uninstall-data:
	$(RM) -r "$(DATADIR)"

clean::
	$(RM) $(CLEANSUFFIXES)
	$(RM) $(addprefix compat/,$(CLEANSUFFIXES)) $(addprefix compat/*/,$(CLEANSUFFIXES)) $(addprefix compat/*/*/,$(CLEANSUFFIXES))
	$(RM) -r coverage-html
	$(RM) -rf coverage.info coverage.info.in lcov

distclean:: clean
	$(RM) .version avversion.h config.asm config.h mapfile  \
		ffbuild/.config ffbuild/config.* libavutil/avconfig.h \
		version.h libavutil/ffversion.h libavcodec/codec_names.h \
		libavcodec/bsf_list.c libavformat/protocol_list.c \
		libavcodec/codec_list.c libavcodec/parser_list.c \
		libavfilter/filter_list.c libavdevice/indev_list.c libavdevice/outdev_list.c \
		libavformat/muxer_list.c libavformat/demuxer_list.c
ifeq ($(SRC_LINK),src)
	$(RM) src
endif
	$(RM) -rf doc/examples/pc-uninstalled

config:
	$(SRC_PATH)/configure $(value FFMPEG_CONFIGURATION)

build: all alltools examples testprogs
check: all alltools examples testprogs fate

include $(SRC_PATH)/tests/Makefile

$(sort $(OUTDIRS)):
	$(Q)mkdir -p $@

# Dummy rule to stop make trying to rebuild removed or renamed headers
%.h:
	@:

# Disable suffix rules.  Most of the builtin rules are suffix rules,
# so this saves some time on slow systems.
.SUFFIXES:

.PHONY: all all-yes alltools build check config testprogs
.PHONY: *clean install* uninstall*

=== tests/checkasm/Makefile ===
# libavcodec tests
# subsystems
AVCODECOBJS-$(CONFIG_AUDIODSP)          += audiodsp.o
AVCODECOBJS-$(CONFIG_BLOCKDSP)          += blockdsp.o
AVCODECOBJS-$(CONFIG_BSWAPDSP)          += bswapdsp.o
AVCODECOBJS-$(CONFIG_FLACDSP)           += flacdsp.o
AVCODECOBJS-$(CONFIG_FMTCONVERT)        += fmtconvert.o
AVCODECOBJS-$(CONFIG_G722DSP)           += g722dsp.o
AVCODECOBJS-$(CONFIG_H264DSP)           += h264dsp.o
AVCODECOBJS-$(CONFIG_H264PRED)          += h264pred.o
AVCODECOBJS-$(CONFIG_H264QPEL)          += h264qpel.o
AVCODECOBJS-$(CONFIG_LLVIDDSP)          += llviddsp.o
AVCODECOBJS-$(CONFIG_LLVIDENCDSP)       += llviddspenc.o
AVCODECOBJS-$(CONFIG_VP8DSP)            += vp8dsp.o
AVCODECOBJS-$(CONFIG_VIDEODSP)          += videodsp.o

# decoders/encoders
AVCODECOBJS-$(CONFIG_AAC_DECODER)       += aacpsdsp.o \
                                           sbrdsp.o
AVCODECOBJS-$(CONFIG_ALAC_DECODER)      += alacdsp.o
AVCODECOBJS-$(CONFIG_DCA_DECODER)       += synth_filter.o
AVCODECOBJS-$(CONFIG_EXR_DECODER)       += exrdsp.o
AVCODECOBJS-$(CONFIG_HUFFYUV_DECODER)   += huffyuvdsp.o
AVCODECOBJS-$(CONFIG_JPEG2000_DECODER)  += jpeg2000dsp.o
AVCODECOBJS-$(CONFIG_OPUS_DECODER)      += opusdsp.o
AVCODECOBJS-$(CONFIG_PIXBLOCKDSP)       += pixblockdsp.o
AVCODECOBJS-$(CONFIG_HEVC_DECODER)      += hevc_add_res.o hevc_idct.o hevc_sao.o hevc_pel.o
AVCODECOBJS-$(CONFIG_UTVIDEO_DECODER)   += utvideodsp.o
AVCODECOBJS-$(CONFIG_V210_DECODER)      += v210dec.o
AVCODECOBJS-$(CONFIG_V210_ENCODER)      += v210enc.o
AVCODECOBJS-$(CONFIG_VP9_DECODER)       += vp9dsp.o

CHECKASMOBJS-$(CONFIG_AVCODEC)          += $(AVCODECOBJS-yes)

# libavfilter tests
AVFILTEROBJS-$(CONFIG_AFIR_FILTER) += af_afir.o
AVFILTEROBJS-$(CONFIG_BLEND_FILTER) += vf_blend.o
AVFILTEROBJS-$(CONFIG_COLORSPACE_FILTER) += vf_colorspace.o
AVFILTEROBJS-$(CONFIG_EQ_FILTER)         += vf_eq.o
AVFILTEROBJS-$(CONFIG_GBLUR_FILTER)      += vf_gblur.o
AVFILTEROBJS-$(CONFIG_HFLIP_FILTER)      += vf_hflip.o
AVFILTEROBJS-$(CONFIG_THRESHOLD_FILTER)  += vf_threshold.o
AVFILTEROBJS-$(CONFIG_NLMEANS_FILTER)    += vf_nlmeans.o

CHECKASMOBJS-$(CONFIG_AVFILTER) += $(AVFILTEROBJS-yes)

# swscale tests
SWSCALEOBJS                             += sw_rgb.o sw_scale.o

CHECKASMOBJS-$(CONFIG_SWSCALE)  += $(SWSCALEOBJS)

# libavutil tests
AVUTILOBJS                              += fixed_dsp.o
AVUTILOBJS                              += float_dsp.o

CHECKASMOBJS-$(CONFIG_AVUTIL)  += $(AVUTILOBJS)

CHECKASMOBJS-$(ARCH_AARCH64)            += aarch64/checkasm.o
CHECKASMOBJS-$(HAVE_ARMV5TE_EXTERNAL)   += arm/checkasm.o
CHECKASMOBJS-$(HAVE_X86ASM)             += x86/checkasm.o

CHECKASMOBJS += $(CHECKASMOBJS-yes) checkasm.o
CHECKASMOBJS := $(sort $(CHECKASMOBJS:%=tests/checkasm/%))

-include $(CHECKASMOBJS:.o=.d)

CHECKASMDIRS := $(sort $(dir $(CHECKASMOBJS)))
$(CHECKASMOBJS): | $(CHECKASMDIRS)
OUTDIRS += $(CHECKASMDIRS)

tests/checkasm/checkasm.o: CFLAGS += -Umain

CHECKASM := tests/checkasm/checkasm$(EXESUF)

$(CHECKASM): $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS) $(EXTRALIBS-avcodec) $(EXTRALIBS-avfilter) $(EXTRALIBS-avformat) $(EXTRALIBS-avutil) $(EXTRALIBS-swresample) $(EXTRALIBS)

checkasm: $(CHECKASM)

testclean:: checkasmclean

checkasmclean:
	$(RM) $(CHECKASM) $(CLEANSUFFIXES:%=tests/checkasm/%) $(CLEANSUFFIXES:%=tests/checkasm/$(ARCH)/%)

.PHONY: checkasm

=== tests/dnn/Makefile ===
DNNTESTPROGS += dnn-layer-pad
DNNTESTPROGS += dnn-layer-conv2d
DNNTESTPROGS += dnn-layer-depth2space
DNNTESTPROGS += dnn-layer-dense
DNNTESTPROGS += dnn-layer-mathbinary
DNNTESTPROGS += dnn-layer-maximum
DNNTESTPROGS += dnn-layer-mathunary
DNNTESTPROGS += dnn-layer-avgpool

DNNTESTOBJS  := $(DNNTESTOBJS:%=$(DNNTESTSDIR)%) $(DNNTESTPROGS:%=$(DNNTESTSDIR)/%-test.o)
DNNTESTPROGS := $(DNNTESTPROGS:%=$(DNNTESTSDIR)/%-test$(EXESUF))
-include $(wildcard $(DNNTESTOBJS:.o=.d))

$(DNNTESTPROGS): %$(EXESUF): %.o $(FF_STATIC_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(filter %.o,$^) $(FF_STATIC_DEP_LIBS) $(EXTRALIBS-avcodec) $(EXTRALIBS-avfilter) $(EXTRALIBS-avformat) $(EXTRALIBS-avutil) $(EXTRALIBS-swresample) $(EXTRALIBS)

testclean::
	$(RM) $(addprefix $(DNNTESTSDIR)/,$(CLEANSUFFIXES) *-test$(EXESUF))

=== debian/changelog ===
ffmpeg (7:4.4.1-3ubuntu5) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 09:00:39 +0100

ffmpeg (7:4.4.1-3ubuntu4) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2022 05:59:48 +0100

ffmpeg (7:4.4.1-3ubuntu3) jammy; urgency=medium

  * Rebuild against new libsndio7.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 12:12:08 +0100

ffmpeg (7:4.4.1-3ubuntu2) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:09:24 -0500

ffmpeg (7:4.4.1-3ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jan 2022 16:22:38 +0100

ffmpeg (7:4.4.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Restrict the clang Build-Depends to amd64 arm64 ppc64el, where CUDA exists.
    (Closes: #994537)

  [ Sebastian Ramacher ]
  * debian/control:
    - Also enable cuda_llvm on i386
    - Suggest packages for nvenc

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Jan 2022 17:49:38 +0100

ffmpeg (7:4.4.1-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Dec 2021 11:47:46 +0100

ffmpeg (7:4.4.1-2) unstable; urgency=medium

  * debian/control: Add Build-Depends on libffmpeg-nvenc-dev on amd64, arm64
    and i386 (Closes: #925941)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Nov 2021 18:48:57 +0100

ffmpeg (7:4.4.1-1ubuntu2) jammy; urgency=medium

  * Rebuild for the new libvpx soname

 -- Sebastien Bacher <seb128@debian.org>  Wed, 17 Nov 2021 13:33:11 +0100

ffmpeg (7:4.4.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:07:38 +0100

ffmpeg (7:4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * debian/tests: Limit the number of threads to max of 8
  * debian/patches: Apply upstream patch to fix build on armhf with GCC 11

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 28 Oct 2021 21:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpeg
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Balint Reczey <balint@balintreczey.hu>,
@@ -23,7 +24,7 @@
  tree,
 Build-Depends:
 # autodetected: hwaccels 'cuda_llvm'
- clang,
+ clang [amd64 arm64 i386 ppc64el],
  debhelper-compat (= 13),
 # --enable-libflite
  flite1-dev,
@@ -57,8 +58,8 @@
  libdc1394-dev [linux-any],
 # --enable-libdrm
  libdrm-dev [linux-any],
-# --enable-nvenc
- libffmpeg-nvenc-dev,
+# autodected: ffnvcodec
+ libffmpeg-nvenc-dev [amd64 arm64 i386],
 # --enable-libfontconfig
  libfontconfig-dev,
 # --enable-libfreetype
@@ -235,6 +236,10 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Suggests:
+ libcuda1 [amd64 arm64 i386],
+ libnvcuvid1 [amd64 arm64 i386],
+ libnvidia-encode1 [amd64 arm64 i386],
 Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -260,6 +265,10 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Suggests:
+ libcuda1 [amd64 arm64 i386],
+ libnvcuvid1 [amd64 arm64 i386],
+ libnvidia-encode1 [amd64 arm64 i386],
 Description: FFmpeg library with additional de/encoders for audio/video codecs
  FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
  mux, demux, stream, filter and play pretty much anything that humans and
@@ -368,16 +377,3 @@
  cutting edge.
  .
  This library provides a generic framework for grabbing from and rendering to
- many common multimedia input/output devices, and supports several input and
- output devices, including Video4Linux2, VfW, DShow, and ALSA.
- .
- This package contains the development files.
-
-Package: libavfilter7
-Architecture: any
-Section: libs
-Multi-Arch: same
-Depends:
- ${shlibs:Depends},
- ${misc:Depends}
-Description: FFmpeg library containing media filters - runtime files

=== debian/rules ===
--- 
+++ 
@@ -142,11 +142,6 @@
 		--enable-libiec61883
 endif
 
-# Enable nvenc on amd64 only; not supported on other architectures.
-ifeq ($(DEB_HOST_ARCH),amd64)
-	CONFIG += --enable-nvenc
-endif
-
 # ffmpeg is involved in build-dependency cycles with x264 and chromaprint, so disable them in stage one.
 # Also disable frei0r, which build-depends on opencv.
 ifneq (,$(filter pkg.ffmpeg.stage1,$(DEB_BUILD_PROFILES)))
@@ -256,3 +251,6 @@
 	rm debian/$*/libavcodec/allcodecs.o
 	rm debian/$*/libavfilter/allfilters.o
 
+# Build qt-faststart here, to make it possible to build with 'nocheck'.
+prebuild_standard:
+	$(info $()   debian/rules $@)
